org.eclipse.emf.cdo.transaction

## Class CDOTransaction.CommitResult<T>

- java.lang.Object
- - org.eclipse.emf.cdo.transaction.CDOTransaction.CommitResult<T>

- Enclosing interface:
    CDOTransaction

      public static final class CDOTransaction.CommitResult<T>
      extends java.lang.Object

  Since:
    4.8
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitResult(T result, CDOCommitInfo info)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCommitInfo` | `getInfo()`
    `T` | `getResult()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitResult

          public CommitResult(T result,
                              CDOCommitInfo info)

  - ### Method Detail

    - #### getResult

          public T getResult()

    - #### getInfo

          public CDOCommitInfo getInfo()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html